#include <psemek/wgpu/sampler.hpp>
#include <psemek/wgpu/detail/string_view.hpp>
#include <psemek/wgpu/external/webgpu.h>

namespace psemek::wgpu
{

	void sampler::set_label(std::string const & label)
	{
		wgpuSamplerSetLabel((WGPUSampler)get(), detail::to_string_view(label));
	}

	void sampler::reference(void * ptr)
	{
		wgpuSamplerAddRef((WGPUSampler)ptr);
	}

	void sampler::release(void * ptr)
	{
		wgpuSamplerRelease((WGPUSampler)ptr);
	}

}
